name: Valentina Lombardo
locality: Remote
country: Remote
role: <a href="/job-families/marketing/sales-development-representative/">Business Development Representative</a>
reports_to: sdr-gp
picture: vlombardo.jpeg
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: valelomby
departments:
  - Sales Development
specialty: ""
expertise:
story:
